complexType "InterestAccrualsMethod"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 2 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | floatingRateCalculation | fixedRate
</...>

Content Model Elements (2):

  fixedRate (defined in InterestAccrualsMethod complexType),
  floatingRateCalculation (defined in InterestAccrualsMethod complexType)

Known Direct Subtypes (2):

  InterestAccrualsCompoundingMethod, InterestCalculation

All Direct / Indirect Based Elements (3):

  interestAccrualsMethod, interestCalculation, specificRate

Known Usage Locations

- In derivations of other global types (2):
  InterestAccrualsCompoundingMethod (as extension base),
  InterestCalculation (as extension base)
- As direct type of elements (1):
  specificRate

Annotation
A type describing the method for accruing interests on dividends. Can be either a fixed rate reference or a floating rate reference.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="InterestAccrualsMethod"> <xsd:choice> <xsd:element name="floatingRateCalculation" type="FloatingRateCalculation"/> <xsd:element name="fixedRate" type="xsd:decimal"/> </xsd:choice> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
fixedRate

  Type: | xsd:decimal, predefined, simple content

  The calculation period fixed rate. A per annum rate, expressed as a decimal. A fixed rate of 5% would be represented as 0.05.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="fixedRate" type="xsd:decimal"/>

floatingRateCalculation

  Type: | FloatingRateCalculation, complex content

  The floating rate calculation definitions
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="floatingRateCalculation" type="FloatingRateCalculation"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.